#!/bin/bash

if [ "x$GEXTGNOME" = "x" ] ; then
	source setup.bash
fi

if [ -d cascade-make ] ; then
  source cascade-make/lib/cascade-lib.bash
fi

if [ "x$GEXTGNOME_DEVEL" = "x" ] ; then
	# Set environment variable so we can tell devel.bash has been sourced
	export GEXTGNOME_DEVEL=$GEXTGNOME
	
	export PATH="$GEXTGNOME_INSTALLED/bin:$PATH"
	export CFLAGS="-I$GEXTGNOME_INSTALLED/include $CFLAGS"
	export CPPFLAGS="-I$GEXTGNOME_INSTALLED/include $CPPFLAGS"
	export CXXFLAGS="-I$GEXTGNOME_INSTALLED/include $CXXFLAGS"
	export LDFLAGS="-L$GEXTGNOME_INSTALLED/lib $LDFLAGS"
	
	echo "+Your environment is now setup to compile with the GNOME Support Library"

	if [ -d "$GEXTGNOME_INSTALLED/lib/pkgconfig" ] ; then
  	    echo ""
        echo "+Testing that pkg-config is correctly configured..."

	    pushd $GEXTGNOME_INSTALLED/lib/pkgconfig

#	pcfilelist=`ls *.pc`
#	firstfile=`$pcfilelist | head -1`
#	pkgconfigprefix=`awk '/^prefix=/{ sub(/^prefix=/, "") ; print }' $firstfile`

#	if [ "$pkgconfigprefix" = "$GEXTGNOME_INSTALLED" ] ; then
#		echo "OK"
#	else
#		echo "NO - Correcting configuration..."

#		for file in $pcfilelist ; do
#			awk '{ sub(/^prefix=\/.*$/, "prefix=$GEXTGNOME_INSTALLED") ; print }' $file > $file
#		done 
#		
#		echo "COMPLETE"
#	fi


  	    if [ ! -e .fixed-prefix.awk ] ; then

		    echo "Configuring ..."

            echo "/^prefix=/ { print \"prefix=$GEXTGNOME_INSTALLED\" ; next }" > .fixed-prefix.awk 
		    echo "	{ print $0 }" >> .fixed-prefix.awk

		    for file in *.pc ; do
		        cat $file | awk -f .fixed-prefix.awk > $file.new && \
	              /bin/mv $file.new $file
   		    done
		    echo "... done"
        else
            echo "No configuration needed"
        fi

	    popd
    fi
else
	echo "+Your environment is already setup to compile with the GNOME Support Library"
fi